- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# tower_send – Send assets to Ansible Tower

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Send assets to Ansible Tower. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

- ansible-tower-cli >= 3.3.0

- six.moves.StringIO

- sys

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
assets - |  | The assets to import. This can be the output of tower_receive or loaded from a file
files - | Default: [] | List of files to import.
password_management - | Choices: default ← random | The password management option to use. The prompt option is not supported.
prevent - | Default: [] | A list of asset types to prevent import for
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.
validate_certs boolean | Choices: no yes | Whether to allow insecure connections to Tower. If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. aliases: tower_verify_ssl

## Notes

Note

- One of assets or files needs to be passed in

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Import all tower assets
      tower_send:
        assets: "{{ export_output.assets }}"
        tower_config_file: "~/tower_cli.cfg"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
output list | success, fail | The import messages Sample: ['Message 1', 'Message 2']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- John Westcott IV (@john-westcott-iv)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.